<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<meta name="robots" content="NOINDEX, NOFOLLOW" /> <!-- Prevent indexing by search engines -->
<title>ARM Compute Library: arm_compute/core/AccessWindowStatic.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script><script type="text/javascript" src="http://cdn.mathjax.org/mathjax/latest/MathJax.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">ARM Compute Library
   &#160;<span id="projectnumber">17.04</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.xhtml"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.xhtml"><span>Namespaces</span></a></li>
      <li><a href="annotated.xhtml"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.xhtml"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.xhtml"><span>File&#160;List</span></a></li>
      <li><a href="globals.xhtml"><span>Globals</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_access_window_static_8h_source.xhtml','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">AccessWindowStatic.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_access_window_static_8h.xhtml">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright (c) 2017 ARM Limited.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * SPDX-License-Identifier: MIT</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * Permission is hereby granted, free of charge, to any person obtaining a copy</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> * of this software and associated documentation files (the &quot;Software&quot;), to</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> * deal in the Software without restriction, including without limitation the</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * sell copies of the Software, and to permit persons to whom the Software is</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * furnished to do so, subject to the following conditions:</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> * The above copyright notice and this permission notice shall be included in all</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> * copies or substantial portions of the Software.</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment"> * THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment"> * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment"> * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment"> * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment"> * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="comment"> * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="comment"> * SOFTWARE.</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="preprocessor">#ifndef __ARM_COMPUTE_IACCESS_WINDOW_STATIC_H__</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="preprocessor">#define __ARM_COMPUTE_IACCESS_WINDOW_STATIC_H__</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_coordinates_8h.xhtml">arm_compute/core/Coordinates.h</a>&quot;</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_i_access_window_8h.xhtml">arm_compute/core/IAccessWindow.h</a>&quot;</span></div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_tensor_shape_8h.xhtml">arm_compute/core/TensorShape.h</a>&quot;</span></div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_types_8h.xhtml">arm_compute/core/Types.h</a>&quot;</span></div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="preprocessor">#include &lt;array&gt;</span></div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacearm__compute.xhtml">arm_compute</a></div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;{</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="keyword">class </span>Window;</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="keyword">class </span>TensorInfo;</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;</div><div class="line"><a name="l00046"></a><span class="lineno"><a class="line" href="classarm__compute_1_1_access_window_static.xhtml">   46</a></span>&#160;<span class="keyword">class </span><a class="code" href="classarm__compute_1_1_access_window_static.xhtml">AccessWindowStatic</a> : <span class="keyword">public</span> <a class="code" href="classarm__compute_1_1_i_access_window.xhtml">IAccessWindow</a></div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;{</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;    <a class="code" href="classarm__compute_1_1_access_window_static.xhtml#ae557faf9eb5ec9ffd1e4cd9ee188d6d7">AccessWindowStatic</a>(<a class="code" href="classarm__compute_1_1_tensor_info.xhtml">TensorInfo</a> *info, <span class="keywordtype">int</span> start_x, <span class="keywordtype">int</span> start_y, <span class="keywordtype">int</span> end_x, <span class="keywordtype">int</span> end_y);</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;    <a class="code" href="classarm__compute_1_1_access_window_static.xhtml#ae557faf9eb5ec9ffd1e4cd9ee188d6d7">AccessWindowStatic</a>(<span class="keyword">const</span> <a class="code" href="classarm__compute_1_1_access_window_static.xhtml">AccessWindowStatic</a> &amp;) = <span class="keyword">delete</span>;</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;    <a class="code" href="classarm__compute_1_1_access_window_static.xhtml">AccessWindowStatic</a> &amp;<a class="code" href="classarm__compute_1_1_access_window_static.xhtml#a5c6934ef061e9aeaa31fa952c05e2730">operator=</a>(<span class="keyword">const</span> <a class="code" href="classarm__compute_1_1_access_window_static.xhtml">AccessWindowStatic</a> &amp;) = <span class="keyword">delete</span>;</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;    <a class="code" href="classarm__compute_1_1_access_window_static.xhtml#ae557faf9eb5ec9ffd1e4cd9ee188d6d7">AccessWindowStatic</a>(<a class="code" href="classarm__compute_1_1_access_window_static.xhtml">AccessWindowStatic</a> &amp;&amp;)                 = <span class="keywordflow">default</span>;</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;    <a class="code" href="classarm__compute_1_1_access_window_static.xhtml">AccessWindowStatic</a> &amp;<a class="code" href="classarm__compute_1_1_access_window_static.xhtml#a5c6934ef061e9aeaa31fa952c05e2730">operator=</a>(<a class="code" href="classarm__compute_1_1_access_window_static.xhtml">AccessWindowStatic</a> &amp;&amp;) = <span class="keywordflow">default</span>;</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;    <a class="code" href="classarm__compute_1_1_access_window_static.xhtml#a657392da3805fde373c0cef557739d08">~AccessWindowStatic</a>()                                = <span class="keywordflow">default</span>;</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classarm__compute_1_1_access_window_static.xhtml#a729ab9364d77a28c009732b497c3b835">set_valid_region</a>(<span class="keyword">const</span> <a class="code" href="classarm__compute_1_1_window.xhtml">Window</a> &amp;window, <span class="keyword">const</span> <a class="code" href="structarm__compute_1_1_valid_region.xhtml">ValidRegion</a> &amp;input_valid_region);</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;    <a class="code" href="structarm__compute_1_1_valid_region.xhtml">ValidRegion</a> <a class="code" href="classarm__compute_1_1_access_window_static.xhtml#aab85c0fd0e72d231aad894f28f12528b">compute_valid_region</a>(<span class="keyword">const</span> <a class="code" href="classarm__compute_1_1_window.xhtml">Window</a> &amp;window, <a class="code" href="structarm__compute_1_1_valid_region.xhtml">ValidRegion</a> input_valid_region) <span class="keyword">const</span>;</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;    <span class="comment">// Inherited methods overriden:</span></div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classarm__compute_1_1_access_window_static.xhtml#a7ad9fe991410dc3550f6c4fd6e87a708">update_window_if_needed</a>(<a class="code" href="classarm__compute_1_1_window.xhtml">Window</a> &amp;window) <span class="keyword">const override</span>;</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classarm__compute_1_1_access_window_static.xhtml#ab4b8f5a316fa4d33a1c600a3f27e590f">update_padding_if_needed</a>(<span class="keyword">const</span> <a class="code" href="classarm__compute_1_1_window.xhtml">Window</a> &amp;window) <span class="keyword">const override</span>;</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;    <a class="code" href="structarm__compute_1_1_valid_region.xhtml">ValidRegion</a> <a class="code" href="classarm__compute_1_1_access_window_static.xhtml#aab85c0fd0e72d231aad894f28f12528b">compute_valid_region</a>(<span class="keyword">const</span> <a class="code" href="classarm__compute_1_1_window.xhtml">Window</a> &amp;window, <a class="code" href="structarm__compute_1_1_valid_region.xhtml">ValidRegion</a> input_valid_region, <span class="keywordtype">bool</span> border_undefined, <a class="code" href="structarm__compute_1_1_border_size.xhtml">BorderSize</a> border_size) <span class="keyword">const override</span>;</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;</div><div class="line"><a name="l00085"></a><span class="lineno"><a class="line" href="classarm__compute_1_1_access_window_static.xhtml#a9c8824b7479a7cfe0c43cb03b63f805d">   85</a></span>&#160;    <a class="code" href="classarm__compute_1_1_tensor_info.xhtml">TensorInfo</a> *<a class="code" href="classarm__compute_1_1_access_window_static.xhtml#a9c8824b7479a7cfe0c43cb03b63f805d">_info</a>;</div><div class="line"><a name="l00086"></a><span class="lineno"><a class="line" href="classarm__compute_1_1_access_window_static.xhtml#a482da54e3056fdd14c12bd1490febd2a">   86</a></span>&#160;    <span class="keywordtype">int</span>         <a class="code" href="classarm__compute_1_1_access_window_static.xhtml#a482da54e3056fdd14c12bd1490febd2a">_start_x</a>;</div><div class="line"><a name="l00087"></a><span class="lineno"><a class="line" href="classarm__compute_1_1_access_window_static.xhtml#a52d465988c8ff914263b289792b0b15a">   87</a></span>&#160;    <span class="keywordtype">int</span>         <a class="code" href="classarm__compute_1_1_access_window_static.xhtml#a52d465988c8ff914263b289792b0b15a">_start_y</a>;</div><div class="line"><a name="l00088"></a><span class="lineno"><a class="line" href="classarm__compute_1_1_access_window_static.xhtml#a1cd2ac1bcf5024756e4c48ac8d43ed97">   88</a></span>&#160;    <span class="keywordtype">int</span>         <a class="code" href="classarm__compute_1_1_access_window_static.xhtml#a1cd2ac1bcf5024756e4c48ac8d43ed97">_end_x</a>;</div><div class="line"><a name="l00089"></a><span class="lineno"><a class="line" href="classarm__compute_1_1_access_window_static.xhtml#a85980789df8ce8a43eed2535663e5eca">   89</a></span>&#160;    <span class="keywordtype">int</span>         <a class="code" href="classarm__compute_1_1_access_window_static.xhtml#a85980789df8ce8a43eed2535663e5eca">_end_y</a>;</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;};</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;} <span class="comment">// namespace arm_compute</span></div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/*__ARM_COMPUTE_IACCESS_WINDOW_STATIC_H__*/</span><span class="preprocessor"></span></div><div class="ttc" id="classarm__compute_1_1_access_window_static_xhtml_ab4b8f5a316fa4d33a1c600a3f27e590f"><div class="ttname"><a href="classarm__compute_1_1_access_window_static.xhtml#ab4b8f5a316fa4d33a1c600a3f27e590f">arm_compute::AccessWindowStatic::update_padding_if_needed</a></div><div class="ttdeci">bool update_padding_if_needed(const Window &amp;window) const override</div><div class="ttdoc">Increase the padding to be large enough for the window. </div></div>
<div class="ttc" id="structarm__compute_1_1_border_size_xhtml"><div class="ttname"><a href="structarm__compute_1_1_border_size.xhtml">arm_compute::BorderSize</a></div><div class="ttdoc">Container for 2D border size. </div><div class="ttdef"><b>Definition:</b> <a href="_types_8h_source.xhtml#l00116">Types.h:116</a></div></div>
<div class="ttc" id="classarm__compute_1_1_access_window_static_xhtml_a9c8824b7479a7cfe0c43cb03b63f805d"><div class="ttname"><a href="classarm__compute_1_1_access_window_static.xhtml#a9c8824b7479a7cfe0c43cb03b63f805d">arm_compute::AccessWindowStatic::_info</a></div><div class="ttdeci">TensorInfo * _info</div><div class="ttdef"><b>Definition:</b> <a href="_access_window_static_8h_source.xhtml#l00085">AccessWindowStatic.h:85</a></div></div>
<div class="ttc" id="_types_8h_xhtml"><div class="ttname"><a href="_types_8h.xhtml">Types.h</a></div></div>
<div class="ttc" id="classarm__compute_1_1_access_window_static_xhtml_a5c6934ef061e9aeaa31fa952c05e2730"><div class="ttname"><a href="classarm__compute_1_1_access_window_static.xhtml#a5c6934ef061e9aeaa31fa952c05e2730">arm_compute::AccessWindowStatic::operator=</a></div><div class="ttdeci">AccessWindowStatic &amp; operator=(const AccessWindowStatic &amp;)=delete</div></div>
<div class="ttc" id="namespacearm__compute_xhtml"><div class="ttname"><a href="namespacearm__compute.xhtml">arm_compute</a></div><div class="ttdef"><b>Definition:</b> <a href="arm__compute_8dox_source.xhtml#l00001">arm_compute.dox:1</a></div></div>
<div class="ttc" id="classarm__compute_1_1_access_window_static_xhtml"><div class="ttname"><a href="classarm__compute_1_1_access_window_static.xhtml">arm_compute::AccessWindowStatic</a></div><div class="ttdoc">Implementation of a static rectangular access pattern. </div><div class="ttdef"><b>Definition:</b> <a href="_access_window_static_8h_source.xhtml#l00046">AccessWindowStatic.h:46</a></div></div>
<div class="ttc" id="classarm__compute_1_1_access_window_static_xhtml_a7ad9fe991410dc3550f6c4fd6e87a708"><div class="ttname"><a href="classarm__compute_1_1_access_window_static.xhtml#a7ad9fe991410dc3550f6c4fd6e87a708">arm_compute::AccessWindowStatic::update_window_if_needed</a></div><div class="ttdeci">bool update_window_if_needed(Window &amp;window) const override</div><div class="ttdoc">Shrink the window if padding is not large enough. </div></div>
<div class="ttc" id="classarm__compute_1_1_access_window_static_xhtml_a482da54e3056fdd14c12bd1490febd2a"><div class="ttname"><a href="classarm__compute_1_1_access_window_static.xhtml#a482da54e3056fdd14c12bd1490febd2a">arm_compute::AccessWindowStatic::_start_x</a></div><div class="ttdeci">int _start_x</div><div class="ttdef"><b>Definition:</b> <a href="_access_window_static_8h_source.xhtml#l00086">AccessWindowStatic.h:86</a></div></div>
<div class="ttc" id="classarm__compute_1_1_access_window_static_xhtml_aab85c0fd0e72d231aad894f28f12528b"><div class="ttname"><a href="classarm__compute_1_1_access_window_static.xhtml#aab85c0fd0e72d231aad894f28f12528b">arm_compute::AccessWindowStatic::compute_valid_region</a></div><div class="ttdeci">ValidRegion compute_valid_region(const Window &amp;window, ValidRegion input_valid_region) const </div><div class="ttdoc">Compute the valid region based on the static access pattern and valid region of the inputs...</div></div>
<div class="ttc" id="classarm__compute_1_1_i_access_window_xhtml"><div class="ttname"><a href="classarm__compute_1_1_i_access_window.xhtml">arm_compute::IAccessWindow</a></div><div class="ttdoc">Interface describing methods to update access window and padding based on kernel parameters. </div><div class="ttdef"><b>Definition:</b> <a href="_i_access_window_8h_source.xhtml#l00071">IAccessWindow.h:71</a></div></div>
<div class="ttc" id="classarm__compute_1_1_access_window_static_xhtml_a52d465988c8ff914263b289792b0b15a"><div class="ttname"><a href="classarm__compute_1_1_access_window_static.xhtml#a52d465988c8ff914263b289792b0b15a">arm_compute::AccessWindowStatic::_start_y</a></div><div class="ttdeci">int _start_y</div><div class="ttdef"><b>Definition:</b> <a href="_access_window_static_8h_source.xhtml#l00087">AccessWindowStatic.h:87</a></div></div>
<div class="ttc" id="_coordinates_8h_xhtml"><div class="ttname"><a href="_coordinates_8h.xhtml">Coordinates.h</a></div></div>
<div class="ttc" id="classarm__compute_1_1_access_window_static_xhtml_a1cd2ac1bcf5024756e4c48ac8d43ed97"><div class="ttname"><a href="classarm__compute_1_1_access_window_static.xhtml#a1cd2ac1bcf5024756e4c48ac8d43ed97">arm_compute::AccessWindowStatic::_end_x</a></div><div class="ttdeci">int _end_x</div><div class="ttdef"><b>Definition:</b> <a href="_access_window_static_8h_source.xhtml#l00088">AccessWindowStatic.h:88</a></div></div>
<div class="ttc" id="classarm__compute_1_1_access_window_static_xhtml_a657392da3805fde373c0cef557739d08"><div class="ttname"><a href="classarm__compute_1_1_access_window_static.xhtml#a657392da3805fde373c0cef557739d08">arm_compute::AccessWindowStatic::~AccessWindowStatic</a></div><div class="ttdeci">~AccessWindowStatic()=default</div></div>
<div class="ttc" id="classarm__compute_1_1_tensor_info_xhtml"><div class="ttname"><a href="classarm__compute_1_1_tensor_info.xhtml">arm_compute::TensorInfo</a></div><div class="ttdoc">Store the tensor&amp;#39;s metadata. </div><div class="ttdef"><b>Definition:</b> <a href="_tensor_info_8h_source.xhtml#l00040">TensorInfo.h:40</a></div></div>
<div class="ttc" id="classarm__compute_1_1_access_window_static_xhtml_a85980789df8ce8a43eed2535663e5eca"><div class="ttname"><a href="classarm__compute_1_1_access_window_static.xhtml#a85980789df8ce8a43eed2535663e5eca">arm_compute::AccessWindowStatic::_end_y</a></div><div class="ttdeci">int _end_y</div><div class="ttdef"><b>Definition:</b> <a href="_access_window_static_8h_source.xhtml#l00089">AccessWindowStatic.h:89</a></div></div>
<div class="ttc" id="structarm__compute_1_1_valid_region_xhtml"><div class="ttname"><a href="structarm__compute_1_1_valid_region.xhtml">arm_compute::ValidRegion</a></div><div class="ttdef"><b>Definition:</b> <a href="_types_8h_source.xhtml#l00085">Types.h:85</a></div></div>
<div class="ttc" id="classarm__compute_1_1_window_xhtml"><div class="ttname"><a href="classarm__compute_1_1_window.xhtml">arm_compute::Window</a></div><div class="ttdoc">Describe a multidimensional execution window. </div><div class="ttdef"><b>Definition:</b> <a href="_window_8h_source.xhtml#l00039">Window.h:39</a></div></div>
<div class="ttc" id="_i_access_window_8h_xhtml"><div class="ttname"><a href="_i_access_window_8h.xhtml">IAccessWindow.h</a></div></div>
<div class="ttc" id="classarm__compute_1_1_access_window_static_xhtml_a729ab9364d77a28c009732b497c3b835"><div class="ttname"><a href="classarm__compute_1_1_access_window_static.xhtml#a729ab9364d77a28c009732b497c3b835">arm_compute::AccessWindowStatic::set_valid_region</a></div><div class="ttdeci">void set_valid_region(const Window &amp;window, const ValidRegion &amp;input_valid_region)</div><div class="ttdoc">Set the valid region based on the static access pattern and valid region of the inputs. </div></div>
<div class="ttc" id="_tensor_shape_8h_xhtml"><div class="ttname"><a href="_tensor_shape_8h.xhtml">TensorShape.h</a></div></div>
<div class="ttc" id="classarm__compute_1_1_access_window_static_xhtml_ae557faf9eb5ec9ffd1e4cd9ee188d6d7"><div class="ttname"><a href="classarm__compute_1_1_access_window_static.xhtml#ae557faf9eb5ec9ffd1e4cd9ee188d6d7">arm_compute::AccessWindowStatic::AccessWindowStatic</a></div><div class="ttdeci">AccessWindowStatic(TensorInfo *info, int start_x, int start_y, int end_x, int end_y)</div><div class="ttdoc">Constructor for a static access pattern. </div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_214608ef36d61442cb2b0c1c4e9a7def.xhtml">arm_compute</a></li><li class="navelem"><a class="el" href="dir_1fb090f0c6070330bfaccc4236d3ca0d.xhtml">core</a></li><li class="navelem"><a class="el" href="_access_window_static_8h.xhtml">AccessWindowStatic.h</a></li>
    <li class="footer">Generated on Wed Apr 12 2017 17:30:09 for ARM Compute Library by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
